#
# spec file for package python-pure-sasl
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-pure-sasl
Version:        0.6.2
Release:        1.18
Summary:        Pure Python client SASL implementation
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/thobbs/pure-sasl
Source:         https://files.pythonhosted.org/packages/source/p/pure-sasl/pure-sasl-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-kerberos
BuildArch:      noarch
%python_subpackages

%description
This package provides a reasonably high-level SASL client written
in pure Python.  New mechanisms may be integrated easily, but by default,
support for PLAIN, ANONYMOUS, CRAM-MD5, DIGEST-MD5, and GSSAPI are
provided.

%prep
%setup -q -n pure-sasl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Mon Oct 21 2019 Martin Herkt <9+suse@cirno.systems>
- Update to 0.6.2
  * Fix GSSAPI wrapping using in Python 3
* Fri Feb 22 2019 Martin Herkt <9+suse@cirno.systems>
- Update to 0.6.1 (no relevant changes in changelog)
* Thu Dec  6 2018 Michał Rostecki <mrostecki@suse.de>
- Switch from python-pykerberos to python-kerberos. Pykerberos as
  a fork is no longer developed and the work on upstream has
  resumed.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat May 19 2018 9+suse@cirno.systems
- Update to 0.5.1
  * Fixes for DIGEST-MD5, server auth has been completed and is now
    tested
  * Both DIGEST-MD5 and CRAM-MD5 properly set the complete flag now
* Fri Mar  9 2018 9+suse@cirno.systems
- Update to 0.5.0
  * Added EXTERNAL mechanism
  * Fix QOP checks in python3
  * Improved error handling when the kerberos module is not
    installed
  * Fix python3 bug using auth-conf with GSSAPI
  * Add GSSAPI "extra" with kerberos dependency
- Use %%license macro
* Sat Dec  2 2017 9@cirno.systems
- Package doc files
* Fri Dec  1 2017 9@cirno.systems
- Init, v0.4.0
